Mailinglist Archive: opensuse-factory (206 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180905 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180905

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
PackageKit
akregator
autoyast2 (4.0.57 -> 4.0.60)
bcm43xx-firmware
cmis-client
device-mapper
dnsmasq
ethtool (4.17 -> 4.18)
git
gnome-control-center
gnome-documents (3.28.1 -> 3.28.2)
gpg2 (2.2.9 -> 2.2.10)
hplip (3.17.9 -> 3.18.6)
hwdata (0.313 -> 0.314)
intel-gpu-tools (1.22 -> 1.23)
kdepim-runtime
kernel-firmware (20180730 -> 20180825)
libcontainers-common
libgnome-games-support (1.2.3 -> 1.4.2)
libkdcraw
libkgapi
libssh (0.7.5 -> 0.8.2)
libstorage-ng (4.1.15 -> 4.1.22)
libx86emu (2.0 -> 2.1)
lvm2
mariadb (10.2.16 -> 10.2.17)
obs-service-tar_scm (0.9.1.1530616709.1329314 -> 0.9.1.1534504824.0732756)
okteta (0.25.2 -> 0.25.3)
open-iscsi
openldap2
openslp
patterns-base
pcsc-lite
perl-CGI (4.38 -> 4.40)
perl-Date-Manip (6.72 -> 6.73)
php7 (7.2.8 -> 7.2.9)
plasma-browser-integration (5.13.4 -> 5.13.5)
plymouth (0.9.3+git20171220.6e9e95d -> 0.9.3+git20180827.0a66272)
python-lxml
python-setuptools (40.1.0 -> 40.2.0)
python-six
rubygem-cfa_grub2 (0.6.5 -> 1.0.1)
samba
sysdig (0.22.0_k4.18.5_1 -> 0.23.1_k4.18.5_1)
thin-provisioning-tools
tracker (2.1.1 -> 2.1.4)
tracker-miners (2.1.0 -> 2.1.4)
virtualbox (5.2.16_k4.18.5_1 -> 5.2.18_k4.18.5_1)
wireless-regdb (2018.05.09 -> 2018.05.31)
wireshark (2.6.2 -> 2.6.3)
xdg-desktop-portal-kde (5.13.4 -> 5.13.5)
xen (4.11.0_02 -> 4.11.0_04)
xf86-video-ati (18.0.1 -> 18.0.1.g50)
xtables-addons
yast2 (4.1.0 -> 4.1.6)
yast2-add-on (4.1.1 -> 4.1.5)
yast2-apparmor (4.0.5 -> 4.1.0)
yast2-bootloader (4.1.6 -> 4.1.8)
yast2-dhcp-server (4.0.2 -> 4.1.2)
yast2-ftp-server (4.1.3 -> 4.1.4)
yast2-installation (4.1.8 -> 4.1.13)
yast2-instserver (4.0.4 -> 4.1.0)
yast2-iscsi-client (4.1.0 -> 4.1.1)
yast2-isns (4.0.1 -> 4.1.2)
yast2-network (4.1.5 -> 4.1.6)
yast2-nfs-client (4.0.7 -> 4.1.0)
yast2-ntp-client (4.0.12 -> 4.1.0)
yast2-packager (4.1.2 -> 4.1.4)
yast2-samba-server (4.0.3 -> 4.1.0)
yast2-security (4.0.0 -> 4.1.0)
yast2-services-manager (4.0.4 -> 4.1.5)
yast2-storage-ng (4.1.4 -> 4.1.13)
yast2-sysconfig (4.0.1 -> 4.1.0)
yast2-tftp-server (4.1.2 -> 4.1.4)
yast2-update (4.1.0 -> 4.1.1)

=== Details ===

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Add PackageKit-get-files-local.patch: Implement GetFilesLocal
method in zypp backend (bsc#1097581).

==== akregator ====
Subpackages: akregator-lang

- Remove unused WebKitWidgets dependency

==== autoyast2 ====
Version update (4.0.57 -> 4.0.60)
Subpackages: autoyast2-installation

- AutoInstallRules: increased default maxdepth for not crashing
with a big software package list (bsc#1104655)
- 4.0.60
- Switched license in spec file from SPDX2 to SPDX3 format.
- Installation/Update: Do not call registration if module
yast2-registraion is not available in inst-sys (bsc#1098794).
- 4.0.59
- AY configuration module: Report XML errors while reading an
AY configuration file (bsc#1098794)
- 4.0.58

==== bcm43xx-firmware ====

- Add bluetooth firmware for RPi 3 B+ (bsc#1103587)
- Update brcmfmac43430-sdio.txt and brcmfmac43455-sdio.txt:
* Improved brcmfmac BT coexistence parameters
- Switch BCM43430A1.hcd to official source:
* No changelog available
- Use %license
- Run spec-cleaner

==== cmis-client ====

- use %license to install licenses
- spec file cleanup
- boost_168.patch: fix build with Boost 1.68 where the compatibility
header for Uuid's sha1 header was removed. (boo#1105173)

==== device-mapper ====
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- Fix lvm2 activation issue when used on top of multipath
bsc#998893
+ bug-998893_make_pvscan_service_after_multipathd.patch

==== dnsmasq ====

- add missing prereq on the group to be created (bsc#1106446)

==== ethtool ====
Version update (4.17 -> 4.18)

- Update to new upstream release 4.18
* Feature: add support WoL using filters
* Feature: dump strings for ixgbe security registers

==== git ====
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- State zlib-devel in deps, previously magically pulled in by
openssl

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Add gnome-control-center-remove-implicit-language-setting.patch:
user-accounts: remove implicit language setting when a new user
navigating the user panel at the first time (bsc#1078968, commit
a1066a2).

==== gnome-documents ====
Version update (3.28.1 -> 3.28.2)
Subpackages: gnome-documents-lang gnome-documents_books-common
gnome-shell-search-provider-documents

- Update to version 3.28.2:
+ Insert the getting started PDF only when showing a window.
+ Be nice to the garbage collector during shutdown (bsc#1063428).

==== gpg2 ====
Version update (2.2.9 -> 2.2.10)
Subpackages: gpg2-lang

- Update to 2.2.10:
* Refresh expired keys originating from the WKD
* Use a 256 KiB limit for a WKD imported key
* New option --known-notation
* dirmngr: Validate SRV records in WKD queries

==== hplip ====
Version update (3.17.9 -> 3.18.6)
Subpackages: hplip-hpijs hplip-sane

- removed Fix-scanning-with-python-pillow-4.2.0.patch as resolved
upstream. Closes boo#1096755
- removed hplip-mdns.patch and hplip-mdns-retry-query.patch, since
upstream further improved the code in this area
- update to 3.18.7 avoided due to newly added ImageProcessor.so blob
- update to 3.18.6:
Added Support for the following new Printers:
- HP DesignJet Z6810 42in PostScript
- HP DesignJet Z6810 60in PostScript
- HP DesignJet Z6610 60in PostScript
- update to 3.18.5:
Added Support for the following new Printers:
- HP DesignJet T1700 PostScript
- HP DesignJet T1700dr PostScript
- HP Color LaserJet Pro M253a
- HP Color LaserJet Pro M254dn
- HP Color LaserJet Pro M254n
- HP Color LaserJet Pro M254dne
- HP Color LaserJet Pro M254nw
- HP Color LaserJet Pro M254dw
- HP Color LaserJet Pro M254cnw
- HP Color LaserJet Pro M253nw
- HP Color LaserJet Pro M253cnw
- HP Color LaserJet Pro M254cdw
- HP Color LaserJet Pro MFP M180nw
- HP Color LaserJet Pro MFP M181fw
- HP Color LaserJet Pro MFP M179fw
- HP Color LaserJet Pro MFP M179cfw
- HP Color LaserJet Pro MFP M181fnw
- HP Color LaserJet Pro MFP M181cfw
- HP Color LaserJet Pro MFP M180n
- HP Color LaserJet Pro MFP M178cn
- HP Color LaserJet Pro MFP M178n
- HP Color LaserJet Pro MFP M180cn
- HP Color LaserJet Pro MFP M281fdw
- HP Color LaserJet Pro MFP M279fdw
- HP Color LaserJet Pro MFP M281cdw
- HP Color LaserJet Pro MFP M281fdn
- HP Color LaserJet Pro MFP M281dne
- HP Color LaserJet Pro MFP M278dn
- HP Color LaserJet Pro MFP M280nw
- HP Color LaserJet Pro MFP M278nw
- HP Color LaserJet Pro MFP M278cw
- HP Color LaserJet Pro MFP M280cnw
- HP Color LaserJet Pro MFP M280c2
- HP Color LaserJet Pro M154a
- HP Color LaserJet M153a
- HP Color LaserJet M153b
- HP Color LaserJet M154b
- HP Color LaserJet M154nw
- HP Color LaserJet M153nw
- HP Color LaserJet M153cnw
- HP Color LaserJet M153c1
- HP Color LaserJet M154cnw
- HP Color LaserJet M154c1
- HP PageWide Managed Color P75250dn
- HP PageWide Managed Color MFP P77940dns
- HP PageWide Managed Color MFP P77940dn
- HP PageWide Managed Color MFP P77940dn+
- HP PageWide Managed Color MFP P77950dns
- HP PageWide Managed Color MFP P77950dn
- HP PageWide Managed Color MFP P77950dn+
- HP PageWide Managed Color MFP P77960dns
- HP PageWide Managed Color MFP P77960dn
- HP PageWide Managed Color MFP P77960dn+
- HP PageWide Managed Color MFP P77440dn
- HP PageWide Managed Color Flow MFP E77950z
- HP PageWide Managed Color Flow MFP E77950zs
- HP PageWide Managed Color Flow MFP E77950z+
- HP PageWide Managed Color Flow MFP E77960z
- HP PageWide Managed Color Flow MFP E77960zs
- HP PageWide Managed Color Flow MFP E77960zts
- HP PageWide Managed Color Flow MFP E77960z+
- update to 3.18.4:
Added Support for the following new Printers:
- HP LaserJet Pro MFP M28a
- HP LaserJet Pro MFP M29a
- HP LaserJet Pro MFP M30a
- HP LaserJet Pro MFP M31a
- HP LaserJet Pro MFP M30c
- HP LaserJet Pro MFP M31c
- HP LaserJet Pro MFP M28w
- HP LaserJet Pro MFP M29w
- HP LaserJet Pro MFP M30w
- HP LaserJet Pro MFP M31w
- HP LaserJet Pro MFP M30cw
- HP LaserJet Pro MFP M31cw
- HP LaserJet Pro M14a
- HP LaserJet Pro M15a
- HP LaserJet Pro M16a
- HP LaserJet Pro M17a
- HP LaserJet Pro M14c
- HP LaserJet Pro M17c
- HP LaserJet Pro M14w
- HP LaserJet Pro M15w
- HP LaserJet Pro M16w
- HP LaserJet Pro M17w
- HP LaserJet Pro M14cw
- HP LaserJet Pro M17cw
Added Support for the following new Distros:
- Ubuntu 18.04 Beta Version (64 bit)
- Debian 9.2 (32 bit and 64 bit)
- Debian 9.3 (32 bit and 64 bit)
- Debian 9.4 (32 bit and 64 bit)
- update to 3.18.3:
Added Support for the following new Printers:
- HP DesignJet Z2600 PostScript
- HP DesignJet Z5600 PostScript
- HP PageWide XL 8000ps Printer
- HP PageWide XL 8000 Blueprinter
- HP PageWide XL 5000 Printer
- HP PageWide XL 5000 MFP
- HP PageWide XL 5000 Blueprinter
- HP PageWide XL 4500 Printer
- HP PageWide XL 4500 MFP
- HP PageWide XL 4000 Printer
- HP PageWide XL 4000 MFP
- HP PageWide XL 5100ps
- HP PageWide XL 5100ps MFP
- HP PageWide XL 5100ps MFP Blueprinter
- HP PageWide XL 6000ps
- HP PageWide XL 6000ps MFP
Added Support for the following new Distros:
- Manjaro Linux 17.1.4 (64 bit)
- Fedora 27 (64 bit)
- Linux Mint 18.3 (32 bit and 64 bit)
Launchpad fixes:
- 1736221 : hplip-3.17.11 source tarball contains compiled
binaries
- 1741214 : scan.py - scans cannot be saved as JPEG since
python-pillow-4.2.0
- update to 3.17.11:
Added Support for the following new Distros:
- Ubuntu 17.10 (64bit)
Other requirement:
- Class Driver support
- update to 3.17.10:
Added Support for the following new Scanners:
- HP Scanjet Enterprise Flow N9120 fn2 Document Scanner
- HP Digital Sender Flow 8500 fn2 Document Capture Workstation
Added Support for the following new Distros:
- Debian 9.1
- refresh patches
- adjust mdns.c changes
(which looses newly added _uscan._tcp.local queries, but requires
interface changes)
- fix build due to unexpanded ppd/hpcups/*.ppd.gz usage in Makefile

==== hwdata ====
Version update (0.313 -> 0.314)

- Update to version 0.314:
* Updated pci, usb and vendor ids.

==== intel-gpu-tools ====
Version update (1.22 -> 1.23)

- Release 1.23 (2018-08-08)
* General changes:
- Bumped used C standard to gnu11. (Lucas De Marchi)
- Bumped required meson version to 0.44. (Petri Latvala)
- Introduced meson options for explicit control over optional dependencies.
(Petri Latvala)
- Added a meson option to set runpath for the installed executables.
(Petri Latvala)
- GLib is now a mandatory dependency. (Petri Latvala)
- Added testlists for the vc4 driver. (Maxime Ripard)
- The project has now finalized its name change and is now IGT GPU Tools,
docs and install paths are now "igt-gpu-tools". (Arkadiusz Hiler)
- Added a blacklist for the Intel CI. (Petri Latvala)
* Library changes:
- i915_pciids.h updated to include KBL, ICL, WHL and AML.
(José Roberto de Souza, Paulo Zanoni)
- Overhaul of gpu_cmds, gpgpu_fill, media_fill and rendercopy.
(Katarzyna Dec, Lukasz Kalamarz)
- Added igt_matrix and igt_color_encoding helper libraries. (Ville Syrjälä)
- IGT now shows the kernel stack trace when reporting a GPU hang. (Chris
Wilson)
- Added Icelake platform support. (Arkadiusz Hiler, Paulo Zanoni)
* Tools changes:
- intel-gpu-top was rewritten to be safe to use. (Tvrtko Ursulin)
* Documentation changes:
- Documented commit rights in CONTRIBUTING. (Daniel Vetter)
* Test changes:
- kms_prs_sink_crc was renamed to kms_psr. (Dhinakaran Pandiyan)
- kms_frontbuffer_tracking no longer tests sink crc. (Dhinakaran Pandiyan)
- drm_vma_limiter is no more. (Chris Wilson)
* And many other bug fixes, improvements, cleanups and new tests.

==== kdepim-runtime ====
Subpackages: kdepim-runtime-lang

- Disable unnecessary WebKitWidgets dependency

==== kernel-firmware ====
Version update (20180730 -> 20180825)
Subpackages: ucode-amd

- Update to version 20180825:
* amdgpu: sync up polaris10 firmware with 18.30 release
* amdgpu: sync up vega10 firmware with 18.30 release
* amdgpu: sync up raven firmware with 18.30 release
* amdgpu: sync up polaris12 firmware with 18.30 release
* amdgpu: sync up tonga firmware with 18.30 release
* amdgpu: sync up polaris11 firmware with 18.30 release
* amdgpu: sync up fiji firmware with 18.30 release
* linux-firmware: add firmware for mhdp8546
* qed: Add firmware 8.37.7.0
- Update to version 20180814:
* linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)
* linux-firmware: Update firmware file for Intel Bluetooth,9560
* linux-firmware: Update firmware file for Intel Bluetooth,9260
* linux-firmware: Update firmware file for Intel Bluetooth,8265
* linux-firmware: Update firmware patch for Intel Bluetooth 8260
* linux-firmware: add firmware for mt76x0
* qcom: update venus firmware files for v5.2
* nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.9.A.31

==== libcontainers-common ====

- storage.conf: comment out options that are not supported by btrfs.
This simplifies switching the driver as it avoids the whack-a-mole
of commenting out "unsupported" options.
- Consolidate libcontainers-{common,image,storage} into one package,
libcontainers-common. That's the way upstream intended all libraries from
github.com/containers to be packaged. It facilitates updating and maintaining
the package, as all configs and manpages come from a central source.
Note that the `storage` binary that previously has been provided by the
libcontainers-storage package is not provided anymore as, despite the claims
in the manpages, it is not intended for production use.
- Make libcontainers-common arch independent.
- Add LICENSE.

==== libgnome-games-support ====
Version update (1.2.3 -> 1.4.2)

- Update to version 1.4.2:
+ Hide category chooser on scores dialog when not needed.
- Changes from version 1.4.1:
+ Fix invalid cast in scores dialog.
- Changes from version 1.4.0:
+ Fix Scores.Context.get_high_scores() returning unordered
scores.
+ Ensure all public objects are usable when created with
g_object_new().
+ Build with --abi-stability (requires valac 0.40). Bump soname.
- Following upstream changes, bump soname to 3, use define sover to
ease future bumps.
- Drop gnome-common BuildRequires and remove conditional autogen
call, we are using a prestine tarball.
- Add make_build, actually build the libs ourselves, not just
install the upstream ones. Use autosetup macro.

==== libkdcraw ====

- Add fix-build-with-libraw-0.19.patch to fix compilation with the
latest libraw (kde#397345)

==== libkgapi ====
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang sasl2-kdexoauth2-3

- Remove unnecessary WebKitWidgets dependency

==== libssh ====
Version update (0.7.5 -> 0.8.2)

- Update to version 0.8.2
* Added sha256 fingerprints for pubkeys
* Improved compiler flag detection
* Fixed race condition in reading sftp messages
* Fixed doxygen generation and added modern style
* Fixed library initialization on Windows
* Fixed __bounded__ attribute detection
* Fixed a bug in the options parser
* Fixed documentation for new knwon_hosts API
- Added patch: 0001-poll-Fix-size-types-in-ssh_event_free.patch
* Fix compiler warning on SLE12
- Add missing zlib-devel dependency which was previously pulled in
by libopenssl-devel
- Remove the libssh_threads.so symlink
- Update to version 0.8.1
* Fixed version number in the header
* Fixed version number in pkg-config and cmake config
* Fixed library initialization
* Fixed attribute detection
- Update to version 0.8.0
* Removed support for deprecated SSHv1 protocol
* Added new connector API for clients
* Added new known_hosts parsing API
* Added support for OpenSSL 1.1
* Added support for chacha20-poly1305 cipher
* Added crypto backend for mbedtls crypto library
* Added ECDSA support with gcrypt backend
* Added advanced client and server testing using cwrap.org
* Added support for curve25519-sha256 alias
* Added support for global known_hosts file
* Added support for symbol versioning
* Improved ssh_config parsing
* Improved threading support
- Removed 0001-libcrypto-Remove-AES_ctr128_encrypt.patch
- Removed 0001-libcrypto-Introduce-a-libcrypto-compat-file.patch
- Removed 0001-libcrypto-Use-newer-API-for-HMAC.patch
- Removed 0001-libcrypto-Use-a-pointer-for-EVP_MD_CTX.patch
- Removed 0001-libcrypto-Use-a-pointer-for-EVP_CIPHER_CTX.patch
- Removed 0001-pki_crypto-Use-getters-and-setters-for-opaque-keys-a.patch
- Removed 0001-threads-Use-new-API-call-for-OpenSSL-CRYPTO-THREADID.patch
- Removed 0001-cmake-Use-configure-check-for-CRYPTO_ctr128_encrypt.patch
- Removed 0001-config-Bugfix-Dont-skip-unseen-opcodes.patch

==== libstorage-ng ====
Version update (4.1.15 -> 4.1.22)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Czech)
- 4.1.22
- merge gh#openSUSE/libstorage-ng#566
- merge branch SLE-15-GA
- merge gh#openSUSE/libstorage-ng#554
- merge gh#openSUSE/libstorage-ng#565
- merge gh#openSUSE/libstorage-ng#560
- merge gh#openSUSE/libstorage-ng#564
- merge gh#openSUSE/libstorage-ng#562
- detect correctly whether a file system is currently mounted
(bsc#1105227)
- adjust multipath parser to accept nvme related output
(bsc#1089353)
- Added some class descriptions
- MdLinks: make it work also when even /dev/md does not exist
- Avoid exceptions for inactive RAIDs (bsc#1090010)
- Fixed the existing tests
- test inactive noncontainer
- detect raid containers differently
- Mark inactive RAID in the BlkDevice attribute
- A common way to configure the indentation style
- Inactive raid
- Merge SLE-15-GA into master
- 4.1.21
- merge gh#openSUSE/libstorage-ng#560
- adjust multipath parser to accept nvme related output
(bsc#1089353)
- try to make multipath parser more robust
- add unit tests
- 4.1.20
- merge gh#openSUSE/libstorage-ng#562
- detect correctly whether a file system is currently mounted
(bsc#1105227)
- add unit tests
- add spaces
- 4.1.19
- merge gh#openSUSE/libstorage-ng#563
- do not crash when parsing docker devices (bsc#1104899)
- 4.1.18
- merge gh#openSUSE/libstorage-ng#561
- Changed licence to GPL-2.0-only.
- 4.1.17
- merge gh#openSUSE/libstorage-ng#548
- RAID: states of operation
- RAID docs: nicer formatting for the older notes
- autodocs: ignore Doxygen search data
- Don't surprise myself.
- 4.1.16

==== libx86emu ====
Version update (2.0 -> 2.1)

- merge gh#wfeldt/libx86emu#13
- Fix README.md header typos
- 2.1

==== lvm2 ====
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- Fix lvm2 activation issue when used on top of multipath
bsc#998893
+ bug-998893_make_pvscan_service_after_multipathd.patch

==== mariadb ====
Version update (10.2.16 -> 10.2.17)
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- update to 10.2.17 GA
* notable changes:
* New variable innodb_log_optimize_ddl for avoiding delay due
to page flushing and allowing concurrent backup
* InnoDB updated to 5.7.23
* MDEV-14637 - Fix hang due to DDL with FOREIGN KEY or
persistent statistics
* MDEV-15953 - Alter InnoDB Partitioned Table Moves Files
(which were originally not in the datadir) to the datadir
* MDEV-16515 - InnoDB: Failing assertion: ++retries < 10000 in
file dict0dict.cc line 2737
* MDEV-16809 - Allow full redo logging for ALTER TABLE
* Temporary tables: MDEV-16713 - InnoDB hang with repeating
log entry
* indexed virtual columns: MDEV-15855 - Deadlock between purge
thread and DDL statement
* MDEV-16664 - Change the default to
innodb_lock_schedule_algorithm=fcfs
* Galera: MDEV-15822 - WSREP: BF lock wait long for trx
* fixes for the following security vulnerabilities:
CVE-2018-3064 [bsc#1103342], CVE-2018-3063 [bsc#1101677],
CVE-2018-3058 [bsc#1101676], CVE-2018-3066 [bsc#1101678],
CVE-2018-3060
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10217-release-notes
https://mariadb.com/kb/en/library/mariadb-10217-changelog

==== obs-service-tar_scm ====
Version update (0.9.1.1530616709.1329314 -> 0.9.1.1534504824.0732756)
Subpackages: obs-service-obs_scm obs-service-obs_scm-common

- Update to version 0.9.1.1534504824.0732756:
* changed os.removedirs -> shutil.rmtree
* Adding information regarding the *package-metadata* option for the *tar*
service The tar service is highly useful in combination with the *obscpio*
service. After the fix for the metadata for the latter one, it is important to
inform the users of the *tar* service that metadata is kept only if the flag
*package-metadata* is enabled. Add the flag to the .service file for mentioning
that.
* Allow metadata packing for CPIO archives when desired As of now, metadata
are always excluded from *obscpio* packages. This is because the
*package-metadata* flag is ignored; this change (should) make *obscpio* aware
of it.

==== okteta ====
Version update (0.25.2 -> 0.25.3)
Subpackages: okteta-lang

- Update to 0.25.3
* Setting Qt::AA_EnableHighDpiScaling for proper HiDPI scaling in
environments where none of the QT_*SCALE* vars is set
* Translations improved (ko, nn)

==== open-iscsi ====
Subpackages: iscsiuio libopeniscsiusr0_1_0

- Use libkmod instead of running modprobe (bsc#1106685), updating
the spec file, and:
* open-iscsi-SUSE-latest.diff.bz2
- iscsiuio: limit retries on dhcpv6 (bsc#1106694 and bsc#1105916),
updating:
* open-iscsi-SUSE-latest.diff.bz2

==== openldap2 ====
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit libldap-data openldap2-client
openldap2-devel

- Fix slapd segfaults in mdb_env_reader_dest
+ with patch 0016-Clear-shared-key-only-in-close-function.patch
+ (bsc#1089640)

==== openslp ====
Subpackages: openslp-server

- Fixed failure to compile when ENABLE_SLPv2_SECURITY is not set
new patch: openslp-2.0.0-ifdef-slpv2.diff

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-apparmor_opt
patterns-base-base patterns-base-basesystem patterns-base-console
patterns-base-enhanced_base patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base_conflicts
patterns-base-sw_management patterns-base-transactional_base patterns-base-x11
patterns-base-x11_opt patterns-base-x86

- add lightdm as a recommends to x11 pattern boo#1081760

==== pcsc-lite ====
Subpackages: libpcsclite1

- extended sysconfig template to include
PCSCLITE_FILTER_IGNORE_READER_NAMES env variable which is used
by pcscd to ignore certain readers
(patch by Eric Garreau)

==== perl-CGI ====
Version update (4.38 -> 4.40)

- updated to 4.40
see /usr/share/doc/packages/perl-CGI/Changes
4.40 2018-08-15
[ FIX / TESTING ]
- support perls < 5.10.1 in Makefile.PL by being more dynamic
(GH #229, GH #230, thanks to Aristotle)
- updated to 4.39
see /usr/share/doc/packages/perl-CGI/Changes
4.39 2018-08-13
[ FIX / TESTING ]
- specify CONFIGURE_REQUIRES in Makefile.PL so can use TEST_REQUIRES
to build with older perls (GH #228)

==== perl-Date-Manip ====
Version update (6.72 -> 6.73)

- updated to 6.73
/usr/share/doc/packages/perl-Date-Manip/Changes
6.73 2018-09-01
- Fixed math on non-64-bit architectures
Much of the math in Date::Manip::Base is in a 'use integer' section.
This math can overflow in some cases in non-64-bit architectures.
Fixed the cases where this would reasonably occur. Reported by
Daniel Albers (GitHub #22). Also reported and tested in RT 126052.
- Bug in normalizing estimated business deltas
While working on the non-64-bit issue, it uncovered a bug where
normalizing estimated business deltas was wrong. It had never been
reported, and it was only off by a couple seconds in some rare
situations.
- do not exclude 32-bit platforms from build, the issue is solved
via RT bug 126052 [bsc#1086297]

==== php7 ====
Version update (7.2.8 -> 7.2.9)
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar php7-pgsql
php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem php7-sysvshm
php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter php7-xsl
php7-zip php7-zlib

- updated to 7.2.9: This is a bugfix release.
http://php.net/ChangeLog-7.php

==== plasma-browser-integration ====
Version update (5.13.4 -> 5.13.5)
Subpackages: plasma-browser-integration-lang

- Update to 5.13.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.5.php
- Changes since 5.13.4:
* None

==== plymouth ====
Version update (0.9.3+git20171220.6e9e95d -> 0.9.3+git20180827.0a66272)
Subpackages: libply-boot-client4 libply-splash-core4 libply-splash-graphics4
libply4 plymouth-dracut plymouth-plugin-label plymouth-plugin-label-ft
plymouth-plugin-script plymouth-plugin-two-step plymouth-scripts

- Update to version 0.9.3+git20180827.0a66272:
ensure tty is closed on deactivate
If plymouth doesn't get explicitly "activated" then when
GDM tries to deactivate it, the deactivation request is
a noop.
One aspect of being active, though is having ownership and
control of the terminal. This happens immediately, even
before a splash is shown.
The `deactivate` request needs to relinguish such control,
unconditionally, since some display server is about to use
the tty.
- Update patch name base on quilt standerd
Remove only_use_fb_for_cirrus_bochs.patch
Add plymouth-only_use_fb_for_cirrus_bochs.patch
Remove 0001-Some-greenish-openSUSE-colors.patch
Add plymouth-some-greenish-openSUSE-colors.patch
- Update to version 0.9.3+git20180807.7663b0c:
* systemd-units: Add "ConditionVirtualization=!container"
* README: add link to Code of Conduct
* two-step: add unhandled splash mode case to switch
* main: fix build
* Fix miscellaneous compiler warnings
* configure: Pass -Wno-cast-function-type if available
* main: Fix getting detailed logs from systemd
* main: Show details when ESC is pressed during splash_delay
* drm: Remove unnecessary reset_scan_out_buffer_if_needed() call
from ply_renderer_head_map()
* main: Only activate renderers if the splash uses pixel-displays
- Switch to new gitlab home in _service.
- Refresh patches with quilt.
- Use autosetup macro.

==== python-lxml ====
Subpackages: python2-lxml python3-lxml

- Fix threading tests patch for 42.3
* Add 0001-Make-test-more-resilient-against-changes-in-latest-l.patch
* Remove python-lxml-assert.patch

==== python-setuptools ====
Version update (40.1.0 -> 40.2.0)
Subpackages: python2-setuptools python3-setuptools

- update to version 40.2.0:
* #1466: Fix handling of Unicode arguments in PEP 517 backend
- changes from version 40.1.1:
* #1465: Fix regression with egg_info command when tagging is used.

==== python-six ====
Subpackages: python2-six python3-six

- remove egg-info directory in %pretrans
- fix egg-info directory pattern
- match any version of egg-info for a certain python version
- Break the cycilical dependency on python-setuptools.

==== rubygem-cfa_grub2 ====
Version update (0.6.5 -> 1.0.1)

- bnc#1053559
- fixed serial_console= to use new terminal= API
- 1.0.1
- bnc#1053559
- backward incompatible change in API
- modified Grub2::Default#terminal and terminal= to handle multiple
values in GRUB_TERMINAL. Former one returns array (was string) of
strings since now. Later one expects array of strings as argument,
array items are joined into space separated value of the option.
- 1.0.0

==== samba ====
Subpackages: libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0
libdcerpc0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libsamba-credentials0 libsamba-credentials0-32bit
libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit libsmbclient0
libsmbconf0 libsmbconf0-32bit libsmbldap2 libsmbldap2-32bit libtevent-util0
libtevent-util0-32bit libwbclient0 libwbclient0-32bit samba-client
samba-client-32bit samba-doc samba-libs samba-libs-32bit samba-winbind
samba-winbind-32bit

- Add missing zlib-devel dependency which was previously pulled in
by libopenssl-devel

==== sysdig ====
Version update (0.22.0_k4.18.5_1 -> 0.23.1_k4.18.5_1)

- Update to version 0.23.1:
* Fix ia32 check on BPF for 4.14 and 4.15 kernels
* Adjust wrong events lengths when reading older captures [#1195]
* More flexible captures: the flexibility of the capture format/reading
process has been improved to allow backward and forward-compatibility [#1163]
* Support logging elapsed time on tracers [#1186]
* Fixes on custom containers support [#1170]
* Avoid invalid free() calls around m_suppressed_pointers [#1184]
* Properly set the address list total length when reading a capture [#1185]

==== thin-provisioning-tools ====

- boost_168.patch: fix build with Boost 1.68. This version of Boost
removes compatibility SHA1 header from Uuid library. (bsc#1105088)

==== tracker ====
Version update (2.1.1 -> 2.1.4)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.1.4:
+ Libtracker-data: Fix build with format-security flag.
+ Updated translations.
- Update to version 2.1.3:
+ Fix resource refcounting issues in database. Reset is advised.
+ Drop cardinality from nie:copyright, nie:license, nie:legal and
dc:rights.
+ Fix superfluous ontology checks on second tracker-store run.
+ Use more SPARQL1.1 correct syntax.
+ Allow use of domain rules outside prefix.
+ Compatibility fixes with C++.
+ Updated translations.
- Update to version 2.1.2:
+ libtracker-sparql:
- Delete TrackerResource elements one by one.
- Fix compilation with C++.
+ build:
- Fixes for FreeBSD.
- Fixes on meson.
+ Updated translations.

==== tracker-miners ====
Version update (2.1.0 -> 2.1.4)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.1.4:
+ Updated translations.
- Changes from version 2.1.3:
+ Unbreak watch on domain ontology owner. Fixes miners spuriously
exiting.
- Update to version 2.1.2:
+ Allow use of domain rules outside prefix.
+ Add core-as-subproject as explicit meson option.
+ Ensure utf8ness in TrackerResource helpers.
+ Fix multiple cardinality issues in different
extractors/properties.
+ Other minor SPARQL correctness fixes.
+ Updated translations.
- Update to version 2.1.1:
+ tracker-miner-fs: Ignore mercurial repositories.
+ build: Fix build with -Werror=format-security.
+ tracker-extract:
- Ensure metadata strings are UTF-8 in JPEG/PNG extractors.
- Do not add named destinations to PDF TOCs.
- Ignore XMP image metadata on PDFs.
- Fix ISO 8601 date string generation on gstreamer extractor.
+ Updated translations.

==== virtualbox ====
Version update (5.2.16_k4.18.5_1 -> 5.2.18_k4.18.5_1)
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11

- Fix 2 API changes for kernel 4.19-rc1. File "fixes_for_4.19.patch" is added.
-VirtualBox 5.2.18 (released August 14 2018)
This is a maintenance release. The following items were fixed and/or added:
VMM: See user manual.
VMM: fix loading with recent binutils and self-built versions of VirtualBox
(bug #17851)
NAT: fix --nataliasmode sameports which is a valid setting (bug #13000)
VRDP: fixed VM process termination on RDP client disconnect if 3D is enabled
for the virtual machine

==== wireless-regdb ====
Version update (2018.05.09 -> 2018.05.31)

- Update to version 2018.05.31 (boo#1106528):
* Fix power limit in 5725-5785 GHz rule for France

==== wireshark ====
Version update (2.6.2 -> 2.6.3)
Subpackages: libwireshark10 libwiretap8 libwscodecs2 libwsutil9 wireshark-ui-qt

- Update to 2.6.3 (boo#1106514):
* CVE-2018-16058: Bluetooth AVDTP dissector crash (wnpa-sec-2018-44)
* CVE-2018-16056: Bluetooth Attribute Protocol dissector crash
(wnpa-sec-2018-45)
* CVE-2018-16057: Radiotap dissector crash (wnpa-sec-2018-46)
- Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-2.6.3.html

==== xdg-desktop-portal-kde ====
Version update (5.13.4 -> 5.13.5)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.13.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.5.php
- Changes since 5.13.4:
* Fix build condition for screencast portal
* We don't need to link against libspa
* Search also for libpipewire-0.2
- Remove spa BuildReq

==== xen ====
Version update (4.11.0_02 -> 4.11.0_04)
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- bsc#1091107 - VUL-0: CVE-2018-3646: xen: L1 Terminal Fault -VMM
(XSA-273)
5b72fbbf-1-spec-ctrl-Calculate-safe-PTE-addresses-for-L1TF-mitigations.patch

5b72fbbf-2-spec-ctrl-Introduce-an-option-to-control-L1TF-mitigation-for-PV-guests.patch
5b72fbbf-3-shadow-Infrastructure-to-force-a-PV-guest-into-shadow-mode.patch
5b72fbbf-4-mm-Plumbing-to-allow-any-PTE-update-to-fail-with--ERESTART.patch

5b72fbbf-5-pv-Force-a-guest-into-shadow-mode-when-it-writes-an-L1TF-vulnerable-PTE.patch
5b72fbbf-6-spec-ctrl-CPUID-MSR-definitions-for-L1D_FLUSH.patch
5b72fbbf-7-msr-Virtualise-MSR_FLUSH_CMD-for-guests.patch

5b72fbbf-8-spec-ctrl-Introduce-an-option-to-control-L1D_FLUSH-for-HVM-HAP-guests.patch
- bsc#1103276 - VUL-0: xen: x86: Incorrect MSR_DEBUGCTL handling
lets guests enable BTS (XSA-269)
5b72fbbe-vtx-Fix-the-checking-for-unknown-invalid-MSR_DEBUGCTL-bits.patch
- Upstream prereq patches for XSA-273 and other upstream fixes
(bsc#1027519)
5b34b8fe-VMX-defer-vmx_vmcs_exit-as-long-as-possible.patch
5b3cab8e-1-VMX-MSR_DEBUGCTL-handling.patch
5b3cab8e-2-VMX-improve-MSR-load-save-API.patch
5b3cab8e-3-VMX-cleanup-MSR-load-save-infra.patch
5b3cab8f-1-VMX-factor-out-locate_msr_entry.patch
5b3cab8f-2-VMX-remote-access-to-MSR-lists.patch
5b3cab8f-3-VMX-improve-LBR-MSR-handling.patch
5b3cab8f-4-VMX-pass-MSR-value-into-vmx_msr_add.patch
5b3cab8f-5-VMX-load-only-guest-MSR-entries.patch
5b4321f6-x86-correctly-set-nonlazy_xstate_used-when-loading-full-state.patch
5b505fe5-VMX-fix-find-msr-build.patch
5b56feb1-hvm-Disallow-unknown-MSR_EFER-bits.patch
5b56feb2-spec-ctrl-Fix-the-parsing-of-xpti--on-fixed-Intel-hardware.patch
5b62ca93-VMX-avoid-hitting-BUG_ON.patch
5b6d8ce2-x86-XPTI-parsing.patch
5b72fbbf-x86-Make-spec-ctrl-no-a-global-disable-of-all-mitigations.patch
5b72fbbf-xl.conf-Add-global-affinity-masks.patch
5b741962-x86-write-to-correct-variable-in-parse_pv_l1tf.patch

==== xf86-video-ati ====
Version update (18.0.1 -> 18.0.1.g50)

- Update to release 18.0.99 (git describe: 18.0.1-44-g740f0850)
* supposed to provide a fix for boo#1100759, fdo#107528, fdo#105381

==== xtables-addons ====

- Add perl dependencies

==== yast2 ====
Version update (4.1.0 -> 4.1.6)

- Add missing CompoundService#support_start_on_boot?
(bsc#1106591).
- 4.1.6
- Increase timeout for the execution of systemctl commands
(bsc#1098910).
- 4.1.5
- Fix the Yast2::ServiceWidget to not show the "On Boot" option
when it is not supported (related to fate#319428).
- 4.1.4
- Refactor systemd classes, reorganizing them in real classes
under the Yast2::Systemd namespace instead of using modules
(related to fate#319428).
- 4.1.3
- Changed dir of COPYING file
- Add support for systemd services that can only be started
on-demand (fate#319428 and bsc#1104568).
- 4.1.2
- Improve systemd socket detection (related to fate#319428).
- SystemService#find_many does not raise an exception anymore.
- 4.1.1

==== yast2-add-on ====
Version update (4.1.1 -> 4.1.5)

- Fix the run of AddOn auto client (bsc#1106536).
- Add missing dependencies to the AddOn auto client.
- 4.1.5
- Fixing some import dependencies in the AddOn auto client
(bsc#1081509)
- 4.1.4
- Do not show the main dialog when it is immediately skipped
(bsc#1102705)
- 4.1.3
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
- Refactor AddOn auto client (bsc#1081509)
- 4.1.2

==== yast2-apparmor ====
Version update (4.0.5 -> 4.1.0)

- Process profile change only if we have it selected (bsc#1090592)
- 4.1.0
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-bootloader ====
Version update (4.1.6 -> 4.1.8)

- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
- Update: Do not crash in detection of gpt disks when some disk
disappear (bsc#1105351 )
- 4.1.8
- bnc#1053559
- do not crash with internal error when GRUB_TERMINAL contains
multiple values
- 4.1.7

==== yast2-dhcp-server ====
Version update (4.0.2 -> 4.1.2)

- Display an information message instead of the service widget
when service is not installed (related to fate#319428).
- 4.1.2
- Avoid module to crash if service is not installed
(related to fate#319428).
- 4.1.1
- Switched license in spec file from SPDX2 to SPDX3 format.
- Use CWM::ServiceWidget to manage the service status
(part of fate#319428).
- 4.1.0
- Fix package building with yast2 4.0.84 (bsc#1104644).
- 4.0.3

==== yast2-ftp-server ====
Version update (4.1.3 -> 4.1.4)

- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.4
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-installation ====
Version update (4.1.8 -> 4.1.13)

- Use /media.1/media instead the /media.1/build (bsc#1062297)
- 4.1.13
- Add missing help for disks activation dialog (bsc#1098563)
- 4.1.12
- Improve help text for system roles (bsc#1046619)
- 4.1.11
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.10
- Add an option to have a sidebar (boo#1088785)
- 4.1.9
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.

==== yast2-instserver ====
Version update (4.0.4 -> 4.1.0)

- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.0
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.

==== yast2-iscsi-client ====
Version update (4.1.0 -> 4.1.1)

- Update calls to YaST2 services classes (related to fate#319428)
- 4.1.1

==== yast2-isns ====
Version update (4.0.1 -> 4.1.2)

- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.2
- Avoid crash when "open-isns" is not installed yet
(related to fate#319428)
- 4.1.1
- Switched license in spec file from SPDX2 to SPDX3 format.
- Use new Yast2::ServiceWidget to manage the service status
(part of fate#319428).
- 4.1.0

==== yast2-network ====
Version update (4.1.5 -> 4.1.6)

- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.6
- Changed dir of COPYING file.

==== yast2-nfs-client ====
Version update (4.0.7 -> 4.1.0)

- do not crash when nfs version is written as 4.0 instead of 4
(bsc#1105674)
- 4.1.0
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-ntp-client ====
Version update (4.0.12 -> 4.1.0)

- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
- Properly disable cron service when running systemd service when
called from Date and Time module (bsc#1102983)
- 4.1.0

==== yast2-packager ====
Version update (4.1.2 -> 4.1.4)

- Fixed service check for the newly added repositories in the
repository manager (bsc#1106837)
- 4.1.4
- allow hard disks with file systems to be selected in add-on dialog
(bsc#1003263)
- 4.1.3
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed destination directory of COPYING file.

==== yast2-samba-server ====
Version update (4.0.3 -> 4.1.0)

- Switched license in spec file from SPDX2 to SPDX3 format.
- Use Yast2::ServiceWidget to manage the service status
(part of fate#319428)
- 4.1.0
- Fix package building with yast2 4.0.84 (bsc#1104644).
- 4.0.4

==== yast2-security ====
Version update (4.0.0 -> 4.1.0)

- Upate calls to YaST2 systemd classes (related to fate#319428)
- 4.1.0
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-services-manager ====
Version update (4.0.4 -> 4.1.5)

- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.5
- Add confirmation popup with summary of changes and highlight
changes over each service.
- Disable Apply button when there are no changes.
- Part of fate#319428.
- 4.1.4
- Switched license in spec file from SPDX2 to SPDX3 format.
- Add support for systemd services that can only be started
on-demand (fate#319428 and bsc#1104568).
- 4.1.3
- Add support to AutoYaST to set services to be started on demand
(related to fate#319428).
- Improve AutoYaST error handling when configuring services.
- 4.1.2
- Added button to show journal logs (related to fate#319427).
- 4.1.1
- Added button to apply changes without closing the Services
Manager dialog (part of fate#319428).
- 4.1.0
- Fix support to handle services during early 1st stage
(related to fate#319428).
- 4.0.6
- Show systemd state and substate for each service,
e.g. "Active (Running)" (bsc#1080738).
- Added new menu button to select the service start mode (on boot,
on demand or manually) (fate#319427).
- 4.0.5

==== yast2-storage-ng ====
Version update (4.1.4 -> 4.1.13)

- Add asterisk to mount points that is not active and also write it
to description (FATE#318196)
- 4.1.13
- Improved wording when moving partitions (bsc#1099599).
- 4.1.12
- Add support for Intel Rapid Start technology partitions
(FATE#325885)
- 4.1.11
- Fixed a wrong unit test.
- 4.1.10
- RAID attributes: include "Active: Yes/No" (bsc#1090010)
- Partitioner: Hide the "what to do" selector for windows
partitions if there are no windows partitions (bsc#1055646)
- 4.1.9
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
- Fixed crash in the Kubic proposal when insufficient disk space
(bsc#1099762)
- 4.1.8
- AutoYaST: recognize Xen virtual partitions in the profile when
importing and installing (bsc#1085134).
- 4.1.7
- AutoYaST: set the 'mount by' option when reusing partitions
(bsc#1104774).
- 4.1.6
- Partitioner: Permit going back when the partition dialog is
skipped (bsc#1075443)
- 4.1.5
- Partitioner: fixed some strings that contained mistakes about
format and/or internationalization.

==== yast2-sysconfig ====
Version update (4.0.1 -> 4.1.0)

- Update calls to Yast2 systemd classes (related to fate#319428)
- 4.1.0
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.

==== yast2-tftp-server ====
Version update (4.1.2 -> 4.1.4)

- Use new Yast2::ServiceWidget to manage the service status
(part of fate#319428).
- 4.1.4
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.3
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-update ====
Version update (4.1.0 -> 4.1.1)

- Switched license in spec file from SPDX2 to SPDX3 format.
- Do not crash at upgrade when the original /etc/resolv.conf
file is set to immutable (bsc#1096142)
- 4.1.1


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups